YoYInflationTraits Class Reference

Bootstrap traits to use for PiecewiseZeroInflationCurve. More...

`#include <ql/termstructures/inflation/inflationtraits.hpp>`

## Public Types

typedef BootstrapHelper< YoYInflationTermStructure > | helper

## Static Public Member Functions

static Date | initialDate (const YoYInflationTermStructure *t)
static Rate | initialValue (const YoYInflationTermStructure *t)
template<class C >
static Rate | guess (Size i, const C *c, bool validData, Size)
template<class C >
static Rate | minValueAfter (Size i, const C *c, bool validData, Size)
template<class C >
static Rate | maxValueAfter (Size i, const C *c, bool validData, Size)
static void | updateGuess (std::vector< Rate > &data, Rate level, Size i)
static Size | maxIterations ()

## Detailed Description

Bootstrap traits to use for PiecewiseZeroInflationCurve.